%define testname php4-dependencies-are-obsolete

Name: repocop-unittest-%testname
Version: 0.01
Release: alt1
BuildArch: noarch
Packager: Igor Vlasenko <viy@altlinux.ru>
Requires: repocop >= 0.08-alt2

Summary: %testname intergration tests for repocop test platform.
Group: Development/Other
License: GPLv2+

%description
The test warns packages that place files into 
/usr/share/doc/%%name-%%version directory but do not own it.

%prep

%build
cat > %testname.done <<'EOF'
#!/bin/sh
sqlite3 "$REPOCOP_TEST_DBDIR/rpm.db" <<EOSQL
.mode tabs
.output $REPOCOP_TEST_TMPDIR/msg
select distinct pkgid from rpm_requires where REQUIRENAME glob 'php-*' and REQUIRENAME <> 'php-base';
EOSQL
for i in `cat $REPOCOP_TEST_TMPDIR/msg`; do repocop-test-fail -k $i "package requires obsolete php4 php-* packages."; done
rm $REPOCOP_TEST_TMPDIR/*
EOF

cat > %testname.pl <<'EOF'
#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $section=$spec->get_section("package","-n $pkgname");
    unless ($section) {
	print STDERR "Oops! %%package -n $pkgname not found!\n";
	return;
    }
    my @out;
    foreach my $line (@{$section->get_body()}) {
        $line=~s/php-(?!base)/php5-/g if $line=~/Requires:/i;
    }
    $section->set_body(\@out);
};
1;
EOF

%install
for i in *.done; do
    testname=`echo $i | sed -e s,.done\$,,`
    install -pD -m 755 $testname.done %buildroot%_datadir/repocop/pkgtests/$testname/done
done

mkdir -p %buildroot%_datadir/repocop/fixscripts/
install -p -m 755 *.pl %buildroot%_datadir/repocop/fixscripts/

%files
%_datadir/repocop/pkgtests/%testname/
%_datadir/repocop/fixscripts/*.pl

%changelog
* Wed Dec 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial version
